using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplicationOverflowNameVariables
{
    class Program
    {
        
        static void Main(string[] args)
        {
            //Overflow
            //byte/ Range: 0 to 255 / Size:Unsigned 8-bit integer / .NET Framework type: System Byte
            
            byte myNumber = 1;
            Console.WriteLine(myNumber); //Εμφανίζει 1
            Console.ReadLine();
            myNumber--;
            // Πλην 1 -> 0(όριο 0)
            Console.WriteLine(myNumber); //Εμφανίζει 0
            Console.ReadLine();
            myNumber--;
            // Πλην 1 -> 255 
            Console.WriteLine(myNumber); //Εμφανίζει 255
            Console.ReadLine();
            myNumber--;
            // Πλην 1 -> 254
            Console.WriteLine(myNumber); //Εμφανίζει 254
            Console.ReadLine();

            int age;
            int ageKostas;
            int ageKostasNikolaou;

            int KostasNikolaou = 40;
            Console.WriteLine(KostasNikolaou);
            Console.ReadLine();

            int myAge;
            string myName;

            myAge = 40; 
            myName = "kostas";

            Console.WriteLine(myName);
            Console.WriteLine(myAge);

            Console.ReadLine();

            Console.Beep(1000,1000);
            Console.ForegroundColor = ConsoleColor.Yellow;
            Console.WriteLine(myName);
            Console.ReadLine();
        }
    }
}
